<?php
namespace Teknisa\FIS\Factories;

use Doctrine\ORM\EntityManager;

class Fis06900TipoDeItemFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function deletaTipoItemLivroMag($params){
        $sql = "DELETE FROM TIPOITEMPROD WHERE NRORG = :NRORG AND CDLIVROMAG = :CDLIVROMAG";

        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
    
    public function saveTipoItemLivroMag($params){
        $sql = "INSERT INTO TIPOITEMPROD (NRORG, CDLIVROMAG, CDTPITEMPROD, NMTPITEMPROD, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, IDATIVO) VALUES (:NRORG, :CDLIVROMAG, :CDTPITEMPROD, :NMTPITEMPROD, :DTINCLUSAO, :NRORGINCLUSAO, :CDOPERINCLUSAO, 'S')";

        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
}